@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.legacy-page {
  width: 100%;
  position: relative;
  .main-image {
    position: relative;
    height: 100vh; 
    width: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    .main-title {
      margin: 0 auto;
      font-family: 'Editorial New';
      font-style: normal;
      font-weight: 200;
      font-size: 90px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #f1efe5;
      position: relative;

      &::before {
        position: absolute;
        content: 'The';
        font-family: 'Notera';
        font-style: normal;
        font-weight: 400;
        font-size: 60px;
        color: #f1efe5;
        text-transform: capitalize;
        letter-spacing: 0.01em;
        left: -85px;
        top: -18px;
      }
      @include heading-font;
      @media (max-width: 1024px) {
        font-size: 50px;
        &::before {
          left: -65px;
          font-size: 40px;
        }
      }
      @media (max-width: 300px) {
        font-size: 32px;
      }
      @include mobile {
        margin-left: 50%;
        transform: translate(-40%) !important;
      }
    }
  }
}
.dark-backdrop {
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  position: absolute;
}
.second-section {
  width: 100%;
  position: relative;
  background: #f9f6ed;
  padding: 100px;
  .description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 76%;
    max-width: 980px;
    margin: auto;
    .title {
      margin: 0 auto;

      .second-row {
        justify-content: flex-end;
      }
      > h2 {
        @include fontStyles(#262e2f, 'Editorial New', 200, 5rem);
        text-transform: uppercase;
        display: flex;
        letter-spacing: -0.01em;
        line-height: 1.3em;
        @include tablet {
          flex-wrap: wrap;
        }
        > span {
          @include fontStyles(#9c7e61, 'Notera', 400, 4.3rem);
          display: inline-block;
          position: relative;
          top: 0px;
          margin: 0 20px;
          letter-spacing: -0.01em;
          color: #9c7e61;
          text-transform: lowercase;
        }
        @include heading-font;
      }
    }
    .content {
      align-self: flex-end;
      @include fontStyles(#262e2fb1, 'Manrope', 400, 1.42rem);
      width: min(52ch, 100%);
      margin: 0 auto;
      text-align: center;
      @include subheading-font;
    }
  }
}
@include mobile {
  .second-section {
    padding: 50px 20px 0;
    .description {
      display: block;
      width: 100%;
      margin: auto;
      text-align: center;
      .title {
        width: 100%;
        > h2 {
          @include fontStyles(#262e2f, 'Editorial New', 200, 2.8rem);
          display: block;
          text-transform: uppercase;
          text-align: center;
          letter-spacing: -0.01em;
          margin: 0 auto;
          line-height: 1.3;
          > span {
            @include fontStyles(#9c7e61, 'Notera', 400, 2.8rem);
            display: inline-block;
            position: relative;
            letter-spacing: -0.01em;
            bottom: 20px;
            color: #9c7e61;
            text-transform: lowercase;
            margin-left: 10px;
            margin-top: -0.7em;
          }
        }
      }
      .content {
        @include fontStyles(#262e2fb1, 'Manrope', 400, 1rem);
        // width: 100%;
        margin: auto;
        margin-top: 20px;
      }
    }
  }
}

.footer {
  position: relative;
  z-index: 2;
  background: $green-80;
}
.theHomeSection {
  background: $green-80;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 110px;
  margin-bottom: -90px;

  @media only screen and (min-width: 1025px) and (max-width: 1160px) {
    padding: 0 30px;
  }

  // @include desktop-lg {
  //   padding: 0 0px;
  // }

  @include tablet-p {
    padding: 100px 20px 0px;
    align-items: flex-start;
  }

  @include mobile {
    flex-direction: column-reverse;
    padding: 0 20px;
  }

  .homeSectionStyle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 1440px;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  .titleCustom {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    font-family: 'Editorial New';
    font-weight: 200;
    font-size: 65px;
    color: #e7e5df;
    letter-spacing: 0.01em;
    margin-top: -60px;

    @include tablet-p {
      font-size: 60px;
      margin: 0;
    }

    @include mobile {
      font-size: 40px;
      margin: 0;
    }
  }

  .textNotera {
    font-family: 'Notera';
    font-weight: 400;
    font-size: 53px;
    letter-spacing: 0.01em;
    color: #e7e5df;
    position: relative;
    top: -85px;

    @include tablet-p {
      top: -20px;
      text-align: center;
    }

    @include mobile {
      top: 0;
      text-align: center;
      font-size: 33px;
    }
  }

  .imgBoxStyle {
    width: 600px;
    height: 400px;
    position: relative;

    @include tablet-p {
      width: 45vw;
      height: 300px;
      margin-top: 0px;
    }

    img {
      position: absolute;
      top: -100px;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    @include mobile {
      width: 90vw;
      height: 250px;
      margin-top: -140px;

      > img {
        top: 0;
      }
    }
    @media only screen and (min-width: 1025px) and (max-width: 1150px) {
      width: 300px;
      height: 200px;
    }
    @media only screen and (min-width: 1151px) and (max-width: 1450px) {
      width: 450px;
      height: 300px;
    }
  }

  .headSec {
    display: flex;
    align-items: flex-start;
    position: relative;
    & > * + * {
      margin-left: 10px;
    }

    @include tablet-p {
      padding-bottom: 0px;
    }

    @include mobile {
      margin-top: 30px;
      padding-bottom: 30px;
    }
  }

  .groupSec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-right: 50px;

    @include tablet {
      margin-bottom: 150px;
    }

    @include tablet-p {
      align-items: flex-start;
      justify-content: flex-start;
      flex-direction: column;
    }

    @include mobile {
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-bottom: 150px;
      margin-right: 0;
    }
  }

  .discoverBtnMobile {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: flex;
      top: 15px;
      width: 120px;
      margin-left: 50px;
    }

    @include mobile {
      display: flex;
      width: 90px;
    }
    @include tablet {
      margin-left: 100px;
    }
  }

  .discoverBtn {
    background: none;
    border: none;
    cursor: pointer;
    margin-bottom: 110px;
    position: relative;

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .imgStyle {
        animation: rotate 2s;
      }
    }

    .imgStyleArrow {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: clamp(20px, calc(20px + 1vw), 36px);
    }

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }

    @include desktop-lg {
      margin-right: 70px;
    }

    @include desktop-xlg {
      margin-right: 80px;
    }
  }
  .discoverBtn.rotateMe,
  .discoverBtnMobile.rotateMe {
    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    .imgStyle {
      animation: rotate 3s;
    }
  }

  .assetsSec {
    display: flex;
    align-items: flex-end;

    @include mobile {
      flex-direction: column;
    }
    @media only screen and (min-width: 1025px) {
      & > * + * {
        margin-left: 50px;
      }
    }
    @media only screen and (min-width: 1160px) and (max-width: 1400px) {
      & > * + * {
        margin-left: 100px;
      }
    }
    @media only screen and (min-width: 1400px) {
      & > * + * {
        margin-left: 140px;
      }
    }
  }
}

.requestSubmited {
  text-align: center;
}

.requestHeading {
  text-align: center;
  margin-top: 50px;
}

.millgroveText {
  font-family: 'Notera';
  font-weight: 400;
  font-size: 41.11px;
  letter-spacing: -0.01em;
  margin-top: 60px;
  text-align: center;
  color: $brown-70;

  @include mobile {
    margin-top: 50px;
    font-size: 33px;
  }
}

//Timeline css
.timeline {
  width: 100%;
  background-color: #f9f6ed;
  padding-bottom: 240px;
  display: flex;
  align-items: flex-start;

  @include tablet {
    padding-bottom: 150px;
  }
}
@include mobile {
  .timeline {
    padding: 20px;
    padding-bottom: 20rem;
  }
}
@media screen and (min-width: 1023px) and (max-width: 1285px) {
  .timeline {
    padding-top: 100px;
  }
}
.timeline-container {
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  & > * + * {
    margin-top: 240px;
  }
  width: 76%;
}
.timeline-description {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  & > * + * {
    margin-top: 8px;
  }
  width: 400px;
  p {
    @include fontStyles(rgba(38, 46, 47, 0.7), 'Manrope', 400, 1.42rem);
    margin-bottom: 0;
    @include subheading-font;
  }
  h2 {
    @include fontStyles(#262e2f, 'Editorial New', 200, 5rem);
    margin-bottom: 0;
  }
}
@include mobile {
  .timeline-container {
    width: 100%;
    & > * + * {
      margin-top: 7rem;
    }
    p {
      font-size: 1rem;
    }
    h2 {
      font-size: 2.2rem;
    }
  }
  .timeline-description {
    max-width: 93%;
    position: relative;
    margin-left: 2rem;
    &::after {
      content: '';
      height: 1px;
      width: 8px;
      background-color: #262e2f29;
      margin-right: 2.5rem;
      position: absolute;
      top: 16px;
      left: -12px;
    }
  }
}

.timeline-dash {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #262e2f;
  position: relative;
  top: 100px;
  div {
    position: absolute;
    top: 100%;
    left: 50%;
    height: 550px;
    width: 1px;
    background-color: #262e2f;
  }

  @include mobile {
    top: 65px;
  }
}
@include tablet {
  .timeline-container {
    width: 87%;
  }
  .timeline-dash {
    width: 25px;
  }
  .second-section {
    padding: 80px 50px;
    .description {
      width: auto;
      .content {
        margin-top: 20px;
      }
    }
  }
}
@media (min-width: 1023px) and (max-width: 1284px) {
  .timeline-container {
    width: 87%;
  }
  .timeline-dash {
    width: 20px;
  }
  .second-section {
    padding: 0 50px;
    padding-top: 100px;
    .description {
      width: 87%;
      .content {
        font-size: 1.22rem;
      }
    }
  }
}
.timeline-component {
  width: 100%;
  display: flex;
  & > * + * {
    margin-left: 2rem;
  }
  justify-content: center;
  align-items: flex-start;
}
@include mobile {
  .timeline-component {
    flex-direction: column-reverse;
    & > * + * {
      margin-left: 0;
      margin-top: 2rem;
    }
  }
}
.timeline-image-container {
  position: relative;
  width: 400px;
  aspect-ratio: 1.3;
  margin-left: 60px;
  z-index: 1;
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  video {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}
@include mobile {
  .timeline-image-container {
    width: 100%;
    margin-left: 0;
    aspect-ratio: 1.3;
    video {
      width: 100%;
      aspect-ratio: 1.3;
    }
  }
}

@media (min-width: 1900px) {
  .second-section {
    .description {
      max-width: 1050px;
    }
  }
  .timeline-component {
    & > * + * {
      margin-left: 4rem;
    }
  }
  .timeline-dash {
    width: 24px;
    height: 24px;
  }
}

.timescale {
  width: 10%;
  position: sticky;
  top: 100px;
  padding-left: 30px;
}
.timeline-container {
  height: 100%;
}

.bar-item {
  display: flex;
  align-items: center;
  & > * + * {
    margin-left: 8px;
  }
  margin-bottom: 40px;
  .year {
    @include fontStyles($black-100-70, 'Manrope', 400, 1.15rem);
  }
  .year.highlight {
    color: $black-100;
  }
  .dash::before {
    content: '';
    width: 20px;
    height: 1px;
    background-color: $black-100-70;
    display: block;
    transition: 300ms ease;
  }
  .dash.stretch::before {
    width: 80px;
    background-color: $black-100;
  }
}

@media screen and (max-width: 1100px) {
  .timescale {
    display: none;
  }
}
@media screen and (min-width: 1100px) and (max-width: 1250px) {
  .bar-item {
    .dash::before {
      content: '';
      width: 15px;
      height: 1px;
      background-color: $black-100-70;
      display: block;
      transition: 300ms ease;
    }
    .dash.stretch::before {
      width: 30px;
      background-color: $black-100;
    }
  }
}
